View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000190Ecere SDKecerepublic2009-05-03 06:082013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000190: SetData / GetData parameters / return value not straightward
DescriptionGetData & char * : Big problem... char ** ???
Additional InformationLook into this in relation with different behavior for String and char *

StringArray vs String in dataTypes.ec
OnFree
...
Tagsv0.44d2
Attached Files

- Relationships
related to 0000160closedjerome PrintString and char * not working 

-  Notes
(0000242)
jerome (administrator)
2010-07-26 02:42

Isn't this one of the last major things I worked on and fixed?
Is the work completed in this regard?

Verify and detail what this is all about.
String and char * are now supposed to be working exactly the same way.
(0000414)
jerome (administrator)
2010-12-06 18:38

There's no more StringArray.

String and 'char *' are equivalent.

OnFree simply deletes the string.

SetData/GetData otherwise work nicely with the EDA stuff now.

- Issue History
Date Modified Username Field Change
2009-05-03 06:08 jerome New Issue
2009-10-16 02:52 jerome Priority normal => immediate
2009-10-16 02:52 jerome Additional Information Updated
2010-07-07 03:00 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 21:23 redj Relationship added child of 0000429
2010-07-26 02:42 jerome Note Added: 0000242
2010-07-26 03:09 jerome Relationship added related to 0000160
2010-07-26 19:23 thexa4 Target Version 0.44d2 => 0.44 draft 2
2010-12-06 18:38 jerome Status new => resolved
2010-12-06 18:38 jerome Fixed in Version => 0.44 pre-release 2
2010-12-06 18:38 jerome Resolution open => fixed
2010-12-06 18:38 jerome Assigned To => jerome
2010-12-06 18:38 jerome Note Added: 0000414
2012-03-08 15:34 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:23 redj Relationship deleted child of 0000429
2012-03-08 18:08 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker